import {
	UserPublic,
	UserRegister,
	UserUpdate,
	ShopLoginAccessTokenData,
} from "@/client";
import { Shop } from "./mock/models";

export interface AuthAPI {
	getCurrentUser(): Promise<UserPublic | null>;
	registerUser(data: UserRegister): Promise<void>;
	loginUser(data: ShopLoginAccessTokenData): Promise<{ access_token: string }>;
	updateUser(data: UserUpdate): Promise<void>;
}

export interface ShopAPI {
	getShop(): Promise<Shop | null>;
	updateShop(data: Partial<Shop>): Promise<void>;
}
