import { ShopAPI } from "../api-definition";
import { mockDB } from "./db";
import { extractSubFromJWT } from "@/utils/jwt";

const db = mockDB;

export const MockShopAPI: ShopAPI = {
	async getShop() {
		const token = localStorage.getItem("access_token");
		if (!token) return null;

		const uuid = extractSubFromJWT(token);
		if (!uuid) return null;

		const user = await db.users.where("uuid").equals(uuid).first();
		if (!user?.id) return null;

		const dbShop = await db.shops.get(user.id);
		return dbShop ?? null;
	},

	async updateShop(data) {
		const token = localStorage.getItem("access_token");
		console.log("Token ->", token);
		if (!token) return;

		const uuid = extractSubFromJWT(token);
		console.log("UUID ->", uuid);
		if (!uuid) return;

		const user = await db.users.where("uuid").equals(uuid).first();
		console.log("User ->", user);
		if (!user?.id) return;

		console.log("Saving data ->", data);
		await db.shops.update(user.id, {
			...data,
			updated_at: new Date().toISOString(),
		});
	},
};
