import { useCouponsContext } from "../context/coupon-context";
import { CouponsActionDialog } from "./coupon-action-dialog";
import { CouponsDeleteDialog } from "./coupon-delete-dialog";

export function CouponsDialogs() {
	const { open, setOpen, currentRow, setCurrentRow } = useCouponsContext();

	return (
		<>
			<CouponsActionDialog
				key="coupon-add"
				open={open === "add"}
				onOpenChange={() => setOpen("add")}
			/>

			{currentRow && (
				<>
					<CouponsActionDialog
						key={`coupon-edit-${currentRow.id}`}
						open={open === "edit"}
						onOpenChange={() => {
							setOpen("edit");
							setTimeout(() => {
								setCurrentRow(null);
							}, 500);
						}}
						currentRow={currentRow}
					/>

					<CouponsDeleteDialog
						key={`coupon-delete-${currentRow.id}`}
						open={open === "delete"}
						onOpenChange={() => {
							setOpen("delete");
							setTimeout(() => {
								setCurrentRow(null);
							}, 500);
						}}
						currentRow={currentRow}
					/>
				</>
			)}
		</>
	);
}
