import { z } from "zod";

// Coupon schema
export const couponSchema = z.object({
	id: z.number(),
	name: z.string().max(200),
	text: z.string().max(50),
	valid_due: z.coerce.date(),
	discount_amount: z.number().min(1).max(100),
});

export type Coupon = z.infer<typeof couponSchema>;

export const couponListSchema = z.array(couponSchema);
