import { usePurchasesContext } from "../context/purchase-context";
import { PurchasesActionDialog } from "./purchase-action-dialog";
import { PurchasesDeleteDialog } from "./purchase-delete-dialog";

export function PurchasesDialogs() {
	const { open, setOpen, currentRow, setCurrentRow } = usePurchasesContext();

	return (
		<>
			<PurchasesActionDialog
				key="purchase-add"
				open={open === "add"}
				onOpenChange={() => setOpen("add")}
			/>

			{currentRow && (
				<>
					<PurchasesActionDialog
						key={`purchase-edit-${currentRow.id}`}
						open={open === "view"}
						onOpenChange={() => {
							setOpen("view");
							setTimeout(() => {
								setCurrentRow(null);
							}, 500);
						}}
						currentRow={currentRow}
					/>

					<PurchasesDeleteDialog
						key={`purchase-delete-${currentRow.id}`}
						open={open === "delete"}
						onOpenChange={() => {
							setOpen("delete");
							setTimeout(() => {
								setCurrentRow(null);
							}, 500);
						}}
						currentRow={currentRow}
					/>
				</>
			)}
		</>
	);
}
