import { z } from "zod";

export const purchaseSchema = z.object({
	id: z.number(),
	user_id: z.number(),
	used_coupon_id: z.number().nullable(),
	date_purchased: z.string(),
	total: z.number().nonnegative(),
});

export type Purchase = z.infer<typeof purchaseSchema>;

export const purchaseListSchema = z.array(purchaseSchema);
