import {
	IconCash,
	IconShield,
	IconUser,
	IconUsersGroup,
	IconUserShield,
} from "@tabler/icons-react";
import { UserRole } from "./schema";

export const callTypes = new Map<UserRole, string>([
	[
		"owner",
		"bg-purple-100 text-purple-900 dark:bg-purple-900 dark:text-purple-100 border border-purple-300 dark:border-purple-600",
	],
	[
		"admin",
		"bg-emerald-100 text-emerald-900 dark:bg-emerald-900 dark:text-emerald-100 border border-emerald-300 dark:border-emerald-600",
	],
	[
		"manager",
		"bg-orange-100 text-orange-900 dark:bg-orange-900 dark:text-orange-100 border border-orange-300 dark:border-orange-600",
	],
	[
		"employee",
		"bg-sky-100 text-sky-900 dark:bg-sky-900 dark:text-sky-100 border border-sky-300 dark:border-sky-600",
	],
	[
		"customer",
		"bg-neutral-200 text-neutral-800 dark:bg-neutral-800 dark:text-neutral-100 border border-neutral-300 dark:border-neutral-600",
	],
]);

export const userTypes = [
	{
		label: "Owner",
		value: "owner",
		icon: IconUserShield,
	},
	{
		label: "Admin",
		value: "admin",
		icon: IconShield,
	},
	{
		label: "Manager",
		value: "manager",
		icon: IconUsersGroup,
	},
	{
		label: "Employee",
		value: "employee",
		icon: IconCash,
	},
	{
		label: "Customer",
		value: "customer",
		icon: IconUser,
	},
] as const;
