export function generateFakeJWT(sub: string): string {
	const header = btoa(JSON.stringify({ alg: "none", typ: "JWT" }));
	const payload = btoa(JSON.stringify({ sub }));
	const signature = "";
	return `${header}.${payload}.${signature}`;
}

export function extractSubFromJWT(token: string): string | null {
	try {
		const [, payload] = token.split(".");
		const decoded = JSON.parse(atob(payload));
		return decoded.sub ?? null;
	} catch {
		return null;
	}
}
